## org.exist.dom
Class XMLUtil

    java.lang.Object
      org.exist.dom.XMLUtil

public class XMLUtil
extends java.lang.Object

Defines some static utility methods.

Constructor Summary
`XMLUtil()`

Method Summary
`static java.lang.String` `decodeAttrMarkup(java.lang.String str)`
`static java.lang.String` `dump(org.w3c.dom.DocumentFragment fragment)`
`static java.lang.String` `encodeAttrMarkup(java.lang.String str)`
`static java.lang.String` `getEncoding(java.lang.String xmlDecl)`
`static java.lang.String` `getXMLDecl(byte[] data)`
`static java.lang.String` `parseValue(java.lang.String value, int p)`
`static java.lang.String` `parseValue(java.lang.String value, java.lang.String key)`
`static java.lang.String` `readFile(java.io.File file)`
`static java.lang.String` `readFile(java.io.File file, java.lang.String defaultEncoding)`
`static java.lang.String` `readFile(java.io.InputStream in, java.lang.String defaultEncoding)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLUtil

    public XMLUtil()

Method Detail

### dump

    public static final java.lang.String dump(org.w3c.dom.DocumentFragment fragment)

### encodeAttrMarkup

    public static final java.lang.String encodeAttrMarkup(java.lang.String str)

### decodeAttrMarkup

    public static final java.lang.String decodeAttrMarkup(java.lang.String str)

### getEncoding

    public static final java.lang.String getEncoding(java.lang.String xmlDecl)

### getXMLDecl

    public static final java.lang.String getXMLDecl(byte[] data)

### readFile

    public static final java.lang.String readFile(java.io.File file)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFile

    public static java.lang.String readFile(java.io.File file,
                                            java.lang.String defaultEncoding)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### readFile

    public static java.lang.String readFile(java.io.InputStream in,
                                            java.lang.String defaultEncoding)
                                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### parseValue

    public static java.lang.String parseValue(java.lang.String value,
                                              java.lang.String key)

### parseValue

    public static java.lang.String parseValue(java.lang.String value,
                                              int p)

Copyright (C) Wolfgang Meier. All rights reserved.